#include<iostream>
#include<fstream>
#include<cmath>
#include<iomanip>
using namespace std;
int main()
{
	ifstream fi("DTHT.INP");
	long long a;
	fi>>a;
	fi.close();
	ofstream fo("DTHT.OUT");
    float s;
    float r;
    r=a/sqrt(2);
    s=3.14*pow(r,2);
    fo.setf(ios::fixed);
    fo.setf(ios::showpoint);
    fo.precision(2);
    fo<<s;
}
